Updated Wii to 4.2, cannot access neoGamma

Discussion in 'Wii - Hacking' started by GI_Josh, Mar 31, 2010.

Mar 31, 2010
  1. GI_Josh
    OP

    Newcomer GI_Josh Newbie

    Joined:
    Mar 31, 2010
    Messages:
    6
    Country:
    United States
    Hello all. Longtime lurker, first time poster.

    I hadn't turned my Wii on for quite some time until today. It had previously been hacked, with the homebrew channel installed, along with neoGamma. When I turned it on today I updated to 4.2. My homebrew channel is still there and accessible (I had version 1.06) and so is neoGamma, however neoGamma just goes to a black screen when I try to launch it.

    I found this guide: http://gbatemp.net/index.php?showtopic=171901

    However I updated to 4.2 blindly beforehand and didn't get to follow any of the updating instructions. Now I am trying to follow along with the modifying instructions. The first thing was installing and patching IOS36. I tried and got an error. I'm very confused overall with what an IOS even is, and what the different versions do.

    So basically: Am I screwed since I didn't find this guide beforehand? If not, what should I be doing now? I feel like I'm very close.

    Thanks so much for listening to my noob questions.

    Josh
     
  2. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,942
    Location:
    This planet
    Country:
    Belgium
    Can you tell us what error exactly?

    Updating to 4.2 before using the guide should be no problem so there is a fix.
     
  3. FenrirWolf

    Member FenrirWolf GBAtemp Psycho!

    Joined:
    Nov 19, 2008
    Messages:
    4,343
    Location:
    Beaverton, OR
    Country:
    United States
    You're not screwed. You just have to follow the steps in the guide. IOS is basically the Wii's firmware. It's in charge of security checks and the like. By following those steps you're patching some old bugs back into it which will let you reinstall the custom IOS that NeoGamma runs from.
     
  4. Phr3d13

    Member Phr3d13 GBAtemp Regular

    Joined:
    Feb 6, 2010
    Messages:
    123
    Country:
    United States
    Seems like you need to run Trucha Bug Restorer again, so you can Downgrade ios 15, then you can patch ios 36. Just don't forget to restore ios 15 when you're done.
     
  5. GI_Josh
    OP

    Newcomer GI_Josh Newbie

    Joined:
    Mar 31, 2010
    Messages:
    6
    Country:
    United States
    Thanks for the quick replies, guys. I just read up on the IOS's a bit more and I feel that I understand what they are doing, along with FenrirWolf's explanation.

    I'm away from the house right now so i can't reproduce the exact error I was receiving.

    But, my basic plan of attack should be:
    Trucha Bug Restorer, then downgrade IOS15, install and patch IOS36, and then restore IOS15?

    Sounds good. By the way, does anyone have the modify.zip file? I was trying to piece it all together myself and that would help greatly.
     
  6. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,942
    Location:
    This planet
    Country:
    Belgium
    mail the address somewhere in the guide for the files.
    We can't share it here (contains some illegal stuff).

    Also, that guide doesn't use the Trucha bug restorer anymore, but Multi Mod Manager, which does the 3 Trucha steps all at once.

    As does DOP-Mii (the program MMM was based on), which I use in my guide (sig)
     
  7. Phr3d13

    Member Phr3d13 GBAtemp Regular

    Joined:
    Feb 6, 2010
    Messages:
    123
    Country:
    United States
    I wish i knew that, It woulda made some of my softmodding a little easier
     
  8. GI_Josh
    OP

    Newcomer GI_Josh Newbie

    Joined:
    Mar 31, 2010
    Messages:
    6
    Country:
    United States
    I completely read over the email address the first time. I just got a response and I have the zip file.

    I'll report back on whether this works or not, thanks for all of the help.
     
  9. GI_Josh
    OP

    Newcomer GI_Josh Newbie

    Joined:
    Mar 31, 2010
    Messages:
    6
    Country:
    United States
    It worked perfectly, thanks for all the help guys!
     
  10. lv157

    Newcomer lv157 Newbie

    Joined:
    Apr 23, 2010
    Messages:
    2
    Country:
    Mexico
    Hi

    if I have the error "Install ERROR! (ret=-2011)" when trying to install cIOSX_V19 I can fix it with this application (MMM)?

    tell me what steps I have to do with Multi Mod Manager to fix this error please [​IMG]


    I have wii ver.3.4U

    thanks!!!
     

Share This Page